%define BUSYBOX_VERSION 1.16.1 
# was 1.16.1
# 1.15.2 at PClinuxOS
Summary: PXE Network-booting initrd builder
Name: mkpxeinitrd-net
Version: 1.5
Release: %mkrel 1
Source0: %{name}-%{version}-3.tar.xz
Source1: http://www.busybox.net/downloads/busybox-%{BUSYBOX_VERSION}.tar.xz
Patch0: mkpxeinitrd-net-no-gunzip-modules.patch
License: GPL
Group: Networking/Other
URL: http://www.fensystems.co.uk/SRPMS.fensys
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Requires: coreutils, pciutils, module-init-tools, procps
Obsoletes: mkinitrd-net

%description
mkpxeinitrd-net is a derived program from mkinitrd-net.
mkpxeinitrd-net allows you to build initial ramdisk images
(initrds) suitable for use with PXE and Etherboot (Using 
PXE compatable mode) network-booting software.  This package
contains one main utility: mkpxeinitrd-net (to build an initrd
containing a specified set of network-card modules).

mkpxeinitrd-net uses code from busybox projects.

%prep
%setup -q -n %{name}/initrd -a1
%patch0

%build
%make -j4

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/mkpxeinitrd-net
%{_bindir}/parse-net-mod
%{_bindir}/parse-nfs-mod

#
%{_libdir}/mkpxeinitrd-net
%doc README
%doc AUTHORS.busybox LICENSE.busybox COPYING CHANGES

%changelog
* Fri May 28 2010 MBantz <martin dot bantz at gmail.com> 1.5
- Built for PCLinuxOS from steven _at_ nchc org tw

